API Documentation

Create webhook

Description

Create a new webhook.

Request format

curl -X POST https://kanbanflow.com/api/v1/webhooks -H "Content-type: application/json" -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/webhooks -H "Content-type: application/json" -d '{ "name": "My hook", "callbackUrl": "https://myserver.com/mycallback", "events": [{ "name": "taskCreated" }] }'

Example response

{
    "webhookId": "Wh45gJV2mDbEv",
    "secret": "nfnY7Q2i8kJRteWsopSKVc9wkE"
}

Valid properties

PropertyTypeComment
nameStringOptional.
callbackUrlStringRequired. Must return status code 200 on an HTTP HEAD request. Only supports http(s):// protocols.
eventsArrayRequired. Valid event names: taskCreated, taskChanged, taskDeleted, taskCommentCreated, taskCommentChanged, taskCommentDeleted. At least one must be given.
Example: [{ "name": "taskCreated" }, { "name": "taskChanged" }, { "name": "taskCommentCreated" }]
filterObjectOptional. Filter on a specific column, swimlane and/or changes to certain properties.
Examples: { "columnId": "C9LIn5sEEpqT" }, { "swimlaneId": "SqEB6zxG41e2" }, { "changedProperties": ["color", "totalSecondsSpent"] }